Index: main/plugin-syndication/pages/services/feed/feedmulticol2xhtml_1.2.xsl
===================================================================
--- main/plugin-syndication/pages/services/feed/feedmulticol2xhtml_1.2.xsl	(revision 0)
+++ main/plugin-syndication/pages/services/feed/feedmulticol2xhtml_1.2.xsl	(revision 0)
@@ -0,0 +1,314 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+   Copyright 2015 Anyware Services
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   -->
+<xsl:stylesheet version="1.0" 
+                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
+                xmlns:ametys="org.ametys.web.transformation.xslt.AmetysXSLTHelper"
+                xmlns:resolver="org.ametys.cms.transformation.xslt.ResolveURIComponent"
+                xmlns:math="http://exslt.org/math" 
+                xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
+                extension-element-prefixes="math ametys resolver">
+
+    <xsl:import href="service:web://pages/services/common.xsl"/>
+    <xsl:import href="service:syndication://pages/services/feed/utils/preference.xsl"/>
+    
+    <xsl:param name="header" select="ametys:serviceParameter('header')"/>
+
+    <xsl:variable name="uniqueId" select="concat('feed_', substring-after(math:random(), '.'))"/>
+    <xsl:variable name="link" select="ametys:serviceParameter('link')"/>
+    <xsl:variable name="link-title" select="ametys:serviceParameter('link-title')"/>
+    
+    <!-- Used in common.xsl -->
+    <xsl:variable name="common-service-css-class-name">syndication</xsl:variable>
+    <xsl:variable name="is-empty" select="not(/rssFeeds/feed) and not(/rssFeeds/feed-conf) and not(/rssFeeds/feed-error) and not(/rssFeeds/feed-error-custom)"/>
+    <xsl:variable name="common-service-name">service-syndication</xsl:variable>    
+
+
+    <xsl:variable name="raw-is-title-visible">        
+        <xsl:call-template name="common-service-head-title-content">
+            <xsl:with-param name="title" select="$header"/>                    
+        </xsl:call-template>
+    </xsl:variable>    
+    <xsl:variable name="is-title-visible" select="string-length($raw-is-title-visible) &gt; 0"/>
+  
+    <!-- Template used by lists to style items -->   
+    <xsl:template name="common-utils-class">
+        <xsl:if test="position() mod 3 = 1"><xsl:text>first-li </xsl:text></xsl:if>                                
+    </xsl:template>
+  
+    <xsl:template name="feed-get-url">
+        <xsl:value-of select="concat(ametys:siteUriPrefix(), '/', ametys:lang(), '/_plugins/syndication/page/create-conf')"/>
+    </xsl:template>
+    
+    <!-- Used in common.xsl -->
+    <xsl:template name="common-service-head-title">
+        <xsl:call-template name="common-service-head-title-content">
+            <xsl:with-param name="title" select="$header"/>                    
+        </xsl:call-template>
+    </xsl:template> 
+    
+    <!-- Used in common.xsl -->
+    <xsl:template name="common-service-head-css">
+        <xsl:if test="ametys:renderingContext() = 'back'">
+            <link href="{ametys:pluginResourceURL('syndication', 'css/bo-error.css')}" rel="stylesheet" type="text/css" />
+        </xsl:if>    
+    </xsl:template> 
+    
+    <!-- Used in common.xsl -->
+    <xsl:template name="common-service-body-nonempty-content-content">
+        <xsl:call-template name="link-top"/>        
+        <div>
+            
+            <xsl:call-template name="feed-config-form" />
+            <xsl:if test="/rssFeeds/feed-error-custom">
+            <div class="error">
+	            <ul>
+	                <xsl:for-each select="/rssFeeds/feed-error-custom">
+	                    <xsl:call-template name="feed-error-custom"/>
+	                </xsl:for-each>
+	            </ul>
+            </div>
+            </xsl:if>
+            <ul class="feed-list">
+            <xsl:for-each select="/rssFeeds/feed|/rssFeeds/feed-error">
+                <li>
+                    <xsl:attribute name="class"><xsl:call-template name="common-utils-class"/></xsl:attribute>
+                
+                    <xsl:choose>
+	                    <xsl:when test="@url">
+                            <xsl:call-template name="feed-error"/>
+	                    </xsl:when>
+	                    <xsl:otherwise>
+		<!--                    <xsl:apply-templates select="image"/> -->
+		                    <xsl:call-template name="syndication-title"/>
+		<!--                     <xsl:call-template name="syndication-description"/> -->
+		                    <xsl:call-template name="syndication-list"/>
+	                    </xsl:otherwise>
+                    </xsl:choose>
+                </li>
+            </xsl:for-each>
+            </ul>
+          </div>
+          <xsl:call-template name="link-bottom"/>        
+    </xsl:template>
+    
+     <!-- Template for error -->    
+    <xsl:template name="feed-error-custom"> 
+        <li><i18n:text i18n:key="SYNDICATION_SERVICE_XSL_ERROR_FEED_CUSTOM" i18n:catalogue="plugin.syndication"/><xsl:value-of select="@url" /></li>
+    </xsl:template>
+    
+      <!-- Template for error -->    
+    <xsl:template name="feed-error">
+        <div class="ametys-cms-zone-error syndication-feed-error">
+	        <div class="ametys-cms-zone-item-error">
+	        <table cellspacing="0" cellpadding="0">
+				<tbody>
+					<tr>
+					    <td style="vertical-align: top; width: 36px;">
+					    <img alt="error" src="/cms/plugins/web/resources/img/skin/zoneitem_error_32.png" />
+					</td>
+					<td>
+					    <strong><i18n:text i18n:key="SYNDICATION_SERVICE_XSL_ERROR_FEED_LABEL" i18n:catalogue="plugin.syndication"/></strong>
+					    <br/>
+						<em>
+						   <i18n:text i18n:key="SYNDICATION_SERVICE_XSL_ERROR_FEED" i18n:catalogue="plugin.syndication"/>
+						   <br/>
+						   <xsl:if test="@name != ''">
+	    					   <xsl:value-of select="@name" /> - 
+						   </xsl:if>
+						   <xsl:value-of select="@url" /> 
+						</em>
+					</td>
+					</tr>
+				</tbody>
+			</table>
+			<xsl:if test="@messageError != ''">
+			  <div class="exception-message">
+			      <xsl:value-of select="@messageError" />
+			  </div>
+			</xsl:if>
+            </div>
+        </div>
+    </xsl:template>       
+    
+    <!-- Template for the general title -->    
+    <xsl:template name="syndication-title">
+        <p class="rss-title">
+          <strong>
+              <xsl:value-of select="@title"/>
+          </strong>
+        </p>
+    </xsl:template>        
+
+    <!-- Template for the description -->
+    <xsl:template name="syndication-description">
+        <p class="description">
+            <xsl:value-of select="@description"/>
+        </p>
+    </xsl:template>
+    
+    <!-- Template for the list -->
+    <xsl:template name="syndication-list">
+        <ul>
+            <xsl:apply-templates select="entry"/>
+        </ul>    
+    </xsl:template>    
+            
+    <!-- Template for each item -->    
+    <xsl:template match="entry"> 
+        <li>
+            <xsl:attribute name="class"><xsl:call-template name="common-utils-class"/></xsl:attribute>
+            
+            <xsl:call-template name="item-title"/>
+            <xsl:call-template name="item-date"/>
+<!--             <xsl:apply-templates select="image"/> -->
+<!--             <xsl:call-template name="item-description"/> -->
+<!--             <xsl:call-template name="item-attachments"/> -->
+<!--             <xsl:call-template name="item-author"/> -->
+        </li>
+    </xsl:template>
+
+    <!-- Template for the title -->
+    <xsl:template name="item-title">
+        <p>
+           <strong>
+            <xsl:choose>
+                <xsl:when test="@link">
+                    <a href="{@link}"><xsl:value-of select="@title"/></a>
+                </xsl:when>
+                <xsl:otherwise>
+                    <xsl:value-of select="@title"/></xsl:otherwise>
+            </xsl:choose>
+           </strong>
+        </p>
+    </xsl:template>
+    
+    <!-- Template for the date -->
+    <xsl:template name="item-date">    
+        <xsl:if test="@date">
+            <p class="date">
+                <i18n:date src-pattern="yyyy-MM-dd'T'HH:mm" pattern="medium"><xsl:value-of select="@date"/></i18n:date>
+                <xsl:text> </xsl:text>
+                <i18n:time src-pattern="yyyy-MM-dd'T'HH:mm" pattern="short"><xsl:value-of select="@date"/></i18n:time>
+            </p>
+        </xsl:if>
+    </xsl:template>
+
+    <!-- Template for the image -->
+    <xsl:template match="image"> 
+        <p class="image">
+            <a href="{@link}">
+                <img src="{@url}" alt="{@title}">
+                    <xsl:if test="heigth"><xsl:attribute name="height"><xsl:value-of select="height"/></xsl:attribute></xsl:if>
+                    <xsl:if test="width"><xsl:attribute name="width"><xsl:value-of select="width"/></xsl:attribute></xsl:if>
+                </img>
+            </a>
+        </p>
+    </xsl:template>
+
+
+    <!-- Template for the description -->
+    <xsl:template name="item-description">  
+        <xsl:if test="description">
+            <p class="description">
+            <xsl:choose>
+                <xsl:when test="'text/html'">
+                    <xsl:value-of select="description" disable-output-escaping="yes"/>
+                </xsl:when>
+                <xsl:otherwise>
+                    <xsl:value-of select="description"/>
+                </xsl:otherwise>
+            </xsl:choose>
+            </p>
+        </xsl:if>    
+    </xsl:template>    
+    
+    <!-- Template for the attachment if exist -->    
+    <xsl:template name="item-attachments">
+        <xsl:if test="enclosure">
+            <p class="enclosures">
+                <xsl:for-each select="enclosure[@url]">
+                    <xsl:if test="@url">
+                        <div class="enclosure">
+                            <xsl:choose>
+                                <xsl:when test="starts-with(@type, 'video')"><xsl:attribute name="class">enclosure video</xsl:attribute></xsl:when>
+                                <xsl:when test="starts-with(@type, 'audio')"><xsl:attribute name="class">enclosure audio</xsl:attribute></xsl:when>
+                                <xsl:when test="starts-with(@type, 'image')"><xsl:attribute name="class">enclosure image</xsl:attribute></xsl:when>
+                            </xsl:choose>
+                            <a href="{@url}">
+                                <xsl:choose>
+                                    <xsl:when test="@name"><xsl:value-of select="@name"/></xsl:when>
+                                    <xsl:otherwise><xsl:value-of select="@url"/></xsl:otherwise>
+                                </xsl:choose>
+                            </a>
+                            <xsl:if test="length">
+                                <span class="length"> (<xsl:value-of select="length"/>)</span>
+                            </xsl:if>
+                        </div>
+                    </xsl:if>
+                </xsl:for-each>
+            </p>
+        </xsl:if>    
+    </xsl:template>    
+    
+    <!-- Template for author(s) -->    
+    <xsl:template name="item-author">
+        <!-- Item author(s) -->
+        <xsl:if test="author">
+            <p class="feed-entry-author">
+                <i18n:text i18n:key="FEED_ENTRY_AUTHOR"/>
+                <xsl:for-each select="author">
+                    <xsl:choose>
+                        <xsl:when test="@email">
+                            <a href="mailto:{@email}"><xsl:value-of select="."/></a>
+                        </xsl:when>
+                        <xsl:otherwise>
+                            <xsl:value-of select="."/>
+                        </xsl:otherwise>
+                    </xsl:choose>
+                    <xsl:if test="position () != last()">, </xsl:if>
+                </xsl:for-each>
+            </p>
+        </xsl:if>    
+    </xsl:template>
+        
+    <!-- Template used to display link "all contents" on the top -->
+    <xsl:template name="link-top">
+        <xsl:call-template name="link"/>
+    </xsl:template>
+
+    <!-- Template used to display link "all contents" on the bottom -->
+    <xsl:template name="link-bottom">
+        <xsl:comment>empty</xsl:comment>
+    </xsl:template>
+    
+    <!-- Template used for link "all contents" -->
+    <xsl:template name="link">
+        <xsl:if test="starts-with($link, 'page://')">
+            <div class="link">
+                <a href="{resolver:resolve('page', $link)}">
+                    <xsl:choose>
+                        <xsl:when test="normalize-space($link-title) != ''">
+                            <xsl:value-of select="$link-title"/>
+                        </xsl:when>
+                        <xsl:otherwise><i18n:text i18n:key="PLUGINS_WEB_SERVICE_FILTERED_CONTENTS_LINK_TITLE_DEFAULT" i18n:catalogue="plugin.web"/></xsl:otherwise>
+                    </xsl:choose>
+                </a>
+            </div>
+        </xsl:if>    
+    </xsl:template>
+    
+</xsl:stylesheet>
Index: main/plugin-syndication/pages/services/feed/feed2xhtml_1.2.xsl
===================================================================
--- main/plugin-syndication/pages/services/feed/feed2xhtml_1.2.xsl	(revision 28681)
+++ main/plugin-syndication/pages/services/feed/feed2xhtml_1.2.xsl	(working copy)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!--
-   Copyright 2010 Anyware Services
+   Copyright 2015 Anyware Services
 
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
@@ -17,15 +17,23 @@
 <xsl:stylesheet version="1.0" 
                 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                 xmlns:ametys="org.ametys.web.transformation.xslt.AmetysXSLTHelper"
-                xmlns:i18n="http://apache.org/cocoon/i18n/2.1">
+                xmlns:math="http://exslt.org/math" 
+                xmlns:resolver="org.ametys.cms.transformation.xslt.ResolveURIComponent"
+                xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
+                extension-element-prefixes="math ametys resolver">
 
     <xsl:import href="service:web://pages/services/common.xsl"/>
+    <xsl:import href="service:syndication://pages/services/feed/utils/preference.xsl"/>
     
 	<xsl:param name="header" select="ametys:serviceParameter('header')"/>
 
+    <xsl:variable name="uniqueId" select="concat('feed_', substring-after(math:random(), '.'))"/>
+    <xsl:variable name="link" select="ametys:serviceParameter('link')"/>
+    <xsl:variable name="link-title" select="ametys:serviceParameter('link-title')"/>
+    
     <!-- Used in common.xsl -->
-    <xsl:variable name="common-service-css-class-name">syndication</xsl:variable>
-    <xsl:variable name="is-empty" select="not(/feed)"/>
+    <xsl:variable name="common-service-css-class-name">syndication-by-date</xsl:variable>
+    <xsl:variable name="is-empty" select="not(/rssFeeds/feed) and not(/rssFeeds/feed-conf) and not(/rssFeeds/feed-error) and not(/rssFeeds/feed-error-custom)"/>
     <xsl:variable name="common-service-name">service-syndication</xsl:variable>    
 
 
@@ -35,9 +43,8 @@
         </xsl:call-template>
     </xsl:variable>    
     <xsl:variable name="is-title-visible" select="string-length($raw-is-title-visible) &gt; 0"/>
-  
-
-    <!-- +
+    
+  <!-- +
          | HEAD
          + -->
 
@@ -48,6 +55,12 @@
         </xsl:call-template>
     </xsl:template> 
 
+    <!-- Used in common.xsl -->
+    <xsl:template name="common-service-head-css">
+        <xsl:if test="ametys:renderingContext() = 'back'">
+            <link href="{ametys:pluginResourceURL('syndication', 'css/bo-error.css')}" rel="stylesheet" type="text/css" />
+        </xsl:if>    
+    </xsl:template> 
       
     <!-- +
          | BODY
@@ -62,60 +75,79 @@
     
     <!-- Used in common.xsl -->
     <xsl:template name="common-service-body-nonempty-content-content">
-		<xsl:apply-templates select="image"/>
-		
-        <xsl:call-template name="syndication-title"/>
-        
-        <xsl:call-template name="syndication-description"/>
-        
-        <xsl:call-template name="syndication-list"/>
-        
-        <!-- Comments in the old XSL -->
-		<!-- 
-		<xsl:if test="link">
-			<a class="rss-link" href="{link}" title="{title}"><xsl:value-of select="link"></xsl:value-of></a>
-		</xsl:if>
-		 -->
-		 
-		 <!-- 
-		<xsl:if test="lastBuildDate">
-			<div class="rss-date"><xsl:value-of select="lastBuildDate"/></div>
-		</xsl:if>
-		-->
-    </xsl:template>
-    
-    <!-- Template for the general title -->    
-    <xsl:template name="syndication-title">
-   		<xsl:choose>
-   			<xsl:when test="$is-title-visible">
-   				<p class="rss-title"><xsl:value-of select="/feed/@title"/></p>
-   			</xsl:when>
-   			<xsl:otherwise>
-   				<h1 class="rss-title"><xsl:value-of select="/feed/@title"/></h1>
-   			</xsl:otherwise>
-   		</xsl:choose>
-    </xsl:template>        
-
-    <!-- Template for the description -->
-    <xsl:template name="syndication-description">
-        <p class="description"><xsl:value-of select="/feed/@description"/></p>    
-    </xsl:template>
-    
-    <!-- Template for the list -->
-    <xsl:template name="syndication-list">
-        <ul>
-            <xsl:apply-templates select="/feed/entry"/>
-        </ul>    
+        <xsl:call-template name="link-top"/>        
+        <div>
+            <xsl:call-template name="feed-config-form" />
+            <div class="error">
+	            <ul>
+		            <xsl:for-each select="/rssFeeds/feed-error-custom">
+		               <xsl:call-template name="feed-error-custom" />
+		            </xsl:for-each>
+	            </ul>
+            </div>
+            <div>
+	            <xsl:for-each select="/rssFeeds/feed-error">
+	               <xsl:call-template name="feed-error" />
+	            </xsl:for-each>        
+            </div>
+            <ul class="feed-list">
+		        <xsl:for-each select="/rssFeeds/feed/entry">
+		            <xsl:sort select="@date" order="descending"/>
+			        <xsl:call-template name="entry"/>
+		        </xsl:for-each>
+	        </ul>
+	      </div>
+	    <xsl:call-template name="link-bottom"/>        
     </xsl:template>    
             
+    <!-- Template for error -->    
+    <xsl:template name="feed-error-custom"> 
+        <li>
+            <p><i18n:text i18n:key="SYNDICATION_SERVICE_XSL_ERROR_FEED" i18n:catalogue="plugin.syndication"/><xsl:value-of select="@url" /></p>
+        </li>
+    </xsl:template>        
+     
+    <!-- Template for error -->    
+    <xsl:template name="feed-error"> 
+        <div class="ametys-cms-zone-error syndication-feed-error">
+            <div class="ametys-cms-zone-item-error">
+            <table cellspacing="0" cellpadding="0">
+                <tbody>
+                    <tr>
+                        <td style="vertical-align: top; width: 36px;">
+                        <img alt="error" src="/cms/plugins/web/resources/img/skin/zoneitem_error_32.png" />
+                    </td>
+                    <td>
+                        <strong><i18n:text i18n:key="SYNDICATION_SERVICE_XSL_ERROR_FEED_LABEL" i18n:catalogue="plugin.syndication"/></strong>
+                        <br/>
+                        <em>
+                           <i18n:text i18n:key="SYNDICATION_SERVICE_XSL_ERROR_FEED" i18n:catalogue="plugin.syndication"/>
+                           <br/>
+                           <xsl:if test="@name != ''">
+                               <xsl:value-of select="@name" /> - 
+                           </xsl:if>
+                           <xsl:value-of select="@url" /> 
+                        </em>
+                    </td>
+                    </tr>
+                </tbody>
+            </table>
+            <xsl:if test="@messageError != ''">
+              <div class="exception-message">
+                  <xsl:value-of select="@messageError" />
+              </div>
+            </xsl:if>
+            </div>
+        </div>
+    </xsl:template>   
+            
     <!-- Template for each item -->    
-	<xsl:template match="entry"> 
-		<li>
+	<xsl:template name="entry"> 
+		<li class="error">
             <xsl:attribute name="class"><xsl:call-template name="common-utils-class"/></xsl:attribute>
             
-            <xsl:call-template name="item-title"/>
-            <xsl:call-template name="item-date"/>
             <xsl:apply-templates select="image"/>
+            <xsl:call-template name="item-title"/>
             <xsl:call-template name="item-description"/>
             <xsl:call-template name="item-attachments"/>
             <xsl:call-template name="item-author"/>
@@ -124,28 +156,28 @@
 
     <!-- Template for the title -->
     <xsl:template name="item-title">
-    	<h2>
-            <xsl:choose>
-                <xsl:when test="@link">
-                    <a href="{@link}"><xsl:value-of select="@title"/></a>
-                </xsl:when>
-                <xsl:otherwise>
-                	<xsl:value-of select="@title"/></xsl:otherwise>
-            </xsl:choose>
-        </h2>
-    </xsl:template>
-    
-    <!-- Template for the date -->
-    <xsl:template name="item-date">    
-        <xsl:if test="@date">
-            <p class="date">
+   	   <h2>
+           <xsl:choose>
+               <xsl:when test="@link">
+                   <a href="{@link}"><xsl:value-of select="@title"/></a>
+               </xsl:when>
+               <xsl:otherwise>
+               	<xsl:value-of select="@title"/></xsl:otherwise>
+           </xsl:choose>
+   	   </h2>
+       <p class="rss-title">
+          <strong>
+             <xsl:if test="@date">
                 <i18n:date src-pattern="yyyy-MM-dd'T'HH:mm" pattern="medium"><xsl:value-of select="@date"/></i18n:date>
                 <xsl:text> </xsl:text>
                 <i18n:time src-pattern="yyyy-MM-dd'T'HH:mm" pattern="short"><xsl:value-of select="@date"/></i18n:time>
-            </p>
-        </xsl:if>
+                --
+             </xsl:if>
+             <xsl:value-of select="../@title"/>
+          </strong>
+       </p>
     </xsl:template>
-
+    
     <!-- Template for the image -->
     <xsl:template match="image"> 
         <p class="image">
@@ -163,14 +195,14 @@
     <xsl:template name="item-description">  
         <xsl:if test="description">
             <p class="description">
-                <xsl:choose>
-                    <xsl:when test="'text/html'">
-                        <xsl:value-of select="description" disable-output-escaping="yes"/>
-                    </xsl:when>
-                    <xsl:otherwise>
-                        <xsl:value-of select="description"/>
-                    </xsl:otherwise>
-                </xsl:choose>
+            <xsl:choose>
+                <xsl:when test="'text/html'">
+                    <xsl:value-of select="description" disable-output-escaping="yes"/>
+                </xsl:when>
+                <xsl:otherwise>
+                    <xsl:value-of select="description"/>
+                </xsl:otherwise>
+            </xsl:choose>
             </p>
         </xsl:if>    
     </xsl:template>    
@@ -222,6 +254,32 @@
                 </xsl:for-each>
             </p>
         </xsl:if>    
-    </xsl:template>    
+    </xsl:template>
+    
+    <!-- Template used to display link "all contents" on the top -->
+    <xsl:template name="link-top">
+        <xsl:call-template name="link"/>
+    </xsl:template>
+
+    <!-- Template used to display link "all contents" on the bottom -->
+    <xsl:template name="link-bottom">
+        <xsl:comment>empty</xsl:comment>
+    </xsl:template>
+    
+    <!-- Template used for link "all contents" -->
+    <xsl:template name="link">
+        <xsl:if test="starts-with($link, 'page://')">
+            <div class="link">
+                <a href="{resolver:resolve('page', $link)}">
+                    <xsl:choose>
+                        <xsl:when test="normalize-space($link-title) != ''">
+                            <xsl:value-of select="$link-title"/>
+                        </xsl:when>
+                        <xsl:otherwise><i18n:text i18n:key="PLUGINS_WEB_SERVICE_FILTERED_CONTENTS_LINK_TITLE_DEFAULT" i18n:catalogue="plugin.web"/></xsl:otherwise>
+                    </xsl:choose>
+                </a>
+            </div>
+        </xsl:if>    
+    </xsl:template>
     
 </xsl:stylesheet>
Index: main/plugin-syndication/src/org/ametys/plugins/syndication/SyndicationService.java
===================================================================
--- main/plugin-syndication/src/org/ametys/plugins/syndication/SyndicationService.java	(revision 0)
+++ main/plugin-syndication/src/org/ametys/plugins/syndication/SyndicationService.java	(revision 0)
@@ -0,0 +1,55 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+package org.ametys.plugins.syndication;
+
+import org.apache.avalon.framework.service.ServiceException;
+import org.apache.avalon.framework.service.ServiceManager;
+import org.apache.avalon.framework.service.Serviceable;
+import org.apache.commons.lang.StringUtils;
+
+import org.ametys.plugins.repository.metadata.CompositeMetadata;
+import org.ametys.plugins.repository.metadata.CompositeMetadata.MetadataType;
+import org.ametys.web.repository.page.Page;
+import org.ametys.web.repository.page.ZoneItem;
+import org.ametys.web.service.StaticService;
+
+/**
+ *  Flux RSS Service to redefined isCacheable (Not Cacheable if there are some restricted access or personnal flux)
+ */
+public class SyndicationService extends StaticService
+{
+    /** Conf access component */
+    protected ConfAccessComponent _confAccess;
+    
+    @Override
+    public void service(ServiceManager smanager) throws ServiceException
+    {
+        _manager = smanager;
+        _confAccess = (ConfAccessComponent) smanager.lookup(ConfAccessComponent.ROLE);
+    }
+    
+    @Override
+    public boolean isCacheable(Page currentPage, ZoneItem zoneItem)
+    {
+        CompositeMetadata composite = zoneItem.getServiceParameters();
+        CompositeMetadata repeater = composite.getCompositeMetadata("feeds");
+        String nbFeedPerso = composite.getString("nb-feed-user");
+        int nbMaxFeed = Integer.parseInt(composite.getString("nb-feed-max"));
+        int nbFeeds = repeater.getMetadataNames().length;
+        
+        return _confAccess.isServiceCacheable(repeater, nbFeedPerso, nbFeeds, nbMaxFeed);
+    }
+}
